/**
 * Date-fns utilities.
 */
export declare type WeekStarts = 0 | 1 | 2 | 3 | 4 | 5 | 6;
/** weekdays */
export declare enum Weekday {
    Sunday = 0,
    Monday = 1,
    Tuesday = 2,
    Wensday = 3,
    Thursday = 4,
    Friday = 5,
    Saturday = 6
}
/**
 * get week day names, such as '日'，'一'， '二'，'六'
 */
export declare function getDayNames(weekStartsOn: Weekday): string[];
export declare function getCurrentWeekArray(day: Date, weekStartsOn: Weekday): Date[];
/**
 * reset hours/minutes/seconds/milliseconds to zero
 */
export declare function resetTime(day: Date): Date;
/**
 * Return the start of a week for the given date. The result will be in the local timezone.
 */
export declare function getStartOfWeek(day: Date): Date;
/**
 * clone date, return a brand new reference
 */
export declare function cloneDate(day: Date): Date;
